Commit 74b0a4320726cb557bcf73f47ba25ee10c430066

Etienne Samson 2018-04-20T23:11:16

travis: split valgrind check in its own script

diff --git a/.travis.yml b/.travis.yml
index 8c12eda..eed5af6 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -75,10 +75,7 @@ install:
 script:
  - script/cibuild.sh
  - script/citest.sh
-
-# Run Tests
-after_success:
- - if [ "$TRAVIS_OS_NAME" = "linux" -a -n "$VALGRIND" ]; then valgrind --leak-check=full --show-reachable=yes --suppressions=./libgit2_clar.supp _build/libgit2_clar -ionline; fi
+ - script/cileaks.sh
 
 # Only watch the development and master branches
 branches:
diff --git a/script/cileaks.sh b/script/cileaks.sh
new file mode 100755
index 0000000..1946e8c
--- /dev/null
+++ b/script/cileaks.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -x
+
+# If this platform doesn't support test execution, bail out now
+if [ -n "$SKIP_TESTS" ];
+then
+	exit $?;
+fi
+
+if [ -n "$VALGRIND" -a -e "$(which valgrind)" ]; then
+	valgrind --leak-check=full --show-reachable=yes --error-exitcode=125 --suppressions=./libgit2_clar.supp _build/libgit2_clar $@ -ionline
+fi